# Class: CollectionEvent

## ol.CollectionEvent

### Extends

- goog.events.Event
- oli.CollectionEvent

### Members

#### element{*} experimental

  The element that is added to or removed from the collection.

### Events

#### add experimental

src/ol/collection.js, line 19

  Triggered when an item is added to the collection.

#### remove experimental

src/ol/collection.js, line 25

  Triggered when an item is removed from the collection.